## sqlite-utils 3.25

=== debian/changelog ===
sqlite-utils (3.25-2) unstable; urgency=medium

  * Team upload.
  * Move ${sphinxdoc:Built-Using} to the correct field.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Apr 2022 14:22:14 +0300

sqlite-utils (3.25-1) unstable; urgency=medium

  * New upstream release.
  * Workaround reproducibility problem by setting LANGUAGE=C.UTF-8 when
    building sphinx documentation.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Mar 2022 10:55:18 +0100

sqlite-utils (3.24-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Remove unnecessary package prefix from files in debian dir.

 -- Edward Betts <edward@4angle.com>  Sat, 26 Feb 2022 07:44:47 +0000

sqlite-utils (3.24-1) unstable; urgency=medium

  * Initial release. (Closes: #1006328)

 -- Edward Betts <edward@4angle.com>  Thu, 24 Feb 2022 21:36:04 +0000

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-all, python3-pytest, python3-hypothesis

## sqlite-utils 3.38

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = sqlite-utils
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -a -b html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(0) --watch ../sqlite_utils

## sqlite-utils 3.26.1

=== debian/changelog ===
sqlite-utils (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-click-default-group to Depends in debian/tests/control.

 -- Edward Betts <edward@4angle.com>  Thu, 26 May 2022 19:18:33 +0200

=== debian/control ===
Source: sqlite-utils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-click,
               python3-click-default-group,
               python3-hypothesis,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sqlite-fts4,
               python3-tabulate
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/simonw/sqlite-utils
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlite-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlite-utils.git

Package: sqlite-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: CLI tool and Python utility functions for manipulating SQLite
 Feature highlights:
 .
   - Pipe JSON (or CSV or TSV) directly into a new SQLite database file,
     automatically creating a table with the appropriate schema
   - Run in-memory SQL queries, including joins, directly against data in CSV,
     TSV or JSON files and view the results.
   - Configure SQLite full-text search against your database tables and run
     search queries against them, ordered by relevance
   - Run transformations against your tables to make schema changes that SQLite
     `ALTER TABLE` does not directly support, such as changing the type of a
     column
   - Extract columns into separate tables to better normalize your existing data

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-all, python3-pytest, python3-hypothesis, python3-click-default-group

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sqlite-utils-$1\.tar\.gz/ \
  https://github.com/simonw/sqlite-utils/releases .*/v?(\d\S+)\.tar\.gz

## sqlite-utils 3.29

=== debian/changelog ===
sqlite-utils (3.29-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update documentation privacy patch.
  * Upstream switched to the furo sphinx theme which is not in Debian and is
    difficult to package, so patch the documentation to use sphinx_rtd_theme.
  * Patch the documentation to not use github_linkcode_resolve because it
    broke the build.
  * Fix broken watch file.

 -- Edward Betts <edward@4angle.com>  Sat, 01 Oct 2022 15:51:05 +0100

## sqlite-utils 3.30

=== debian/changelog ===
sqlite-utils (3.30-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 01 Nov 2022 15:02:33 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-copybutton,
                python3-sphinx-rtd-theme,
                python3-sqlite-fts4,
                python3-tabulate
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/simonw/sqlite-utils
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlite-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlite-utils.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([0-9.]\S+)\.tar\.gz/sqlite-utils-$1\.tar\.gz/ \
  https://github.com/simonw/sqlite-utils/tags .*/v?([0-9.]\S+)\.tar\.gz

## sqlite-utils 3.34

=== debian/changelog ===
sqlite-utils (3.34-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.
  * Refresh patches for new upstream.
  * Drop the patch that switched sphinx documentation themes because the furo
    theme is now available in Debian.
  * Add Build-Depends for furo.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Aug 2023 09:09:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
+               furo,
                python3-all,
                python3-click,
                python3-click-default-group,
@@ -18,7 +19,7 @@
                python3-sqlite-fts4,
                python3-tabulate
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/simonw/sqlite-utils
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlite-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlite-utils.git

## sqlite-utils 3.35.1

=== debian/changelog ===
sqlite-utils (3.35.1-1) unstable; urgency=medium

  * New upstream release.
  * Update 0001-fix-documentation-privacy-breach.patch to remove plausible.io
    script from documentation.
  * Documentation builds successfully with Sphinx 7.1 and docutils 0.20.
    (Closes: #1042705)
  * Add !nocheck to Build-Depends that are only needed for testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Oct 2023 08:53:50 +0000

## sqlite-utils 3.35.2

=== debian/changelog ===
sqlite-utils (3.35.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 08 Nov 2023 14:09:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-sequence-sphinxdoc,
                furo,
                python3-all,
-               python3-click,
-               python3-click-default-group,
-               python3-hypothesis,
-               python3-pytest,
+               python3-click <!nocheck>,
+               python3-click-default-group <!nocheck>,
+               python3-hypothesis <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-copybutton,
                python3-sphinx-rtd-theme,
-               python3-sqlite-fts4,
-               python3-tabulate
+               python3-sqlite-fts4 <!nocheck>,
+               python3-tabulate <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/simonw/sqlite-utils

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlite-utils
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; make man; LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml . _build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		mkdir $$dir/docs; \
		cp docs/*.rst $$dir/docs ; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm -r $$dir/docs ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sqlite_utils.egg-info docs/_build

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-click-default-group,
         python3-hypothesis,
         python3-pytest,
         @

## sqlite-utils 3.36

=== debian/changelog ===
sqlite-utils (3.36-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Mar 2024 11:58:06 +0100

## sqlite-utils 3.38~a0

=== debian/changelog ===
sqlite-utils (3.38~a0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch to handle alpha and beta versions.
  * Move packages required for tests and docs to Build-Depends-Indep.
  * Update Standards-Version.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Drop 0002-less-requirements-for-documentation.patch and add
    python3-beanbag-docutils Build-Depends.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 10:56:33 +0100

## sqlite-utils 3.38

=== debian/changelog ===
sqlite-utils (3.38-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 27 Nov 2024 16:32:59 +0000

=== debian/control ===
Source: sqlite-utils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 furo,
 python3-click <!nocheck>,
 python3-beanbag-docutils,
 python3-click-default-group <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-rtd-theme,
 python3-sqlite-fts4 <!nocheck>,
 python3-tabulate <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/simonw/sqlite-utils
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlite-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlite-utils.git

Package: sqlite-utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: CLI tool and Python utility functions for manipulating SQLite
 Feature highlights:
 .
   - Pipe JSON (or CSV or TSV) directly into a new SQLite database file,
     automatically creating a table with the appropriate schema
   - Run in-memory SQL queries, including joins, directly against data in CSV,
     TSV or JSON files and view the results.
   - Configure SQLite full-text search against your database tables and run
     search queries against them, ordered by relevance
   - Run transformations against your tables to make schema changes that SQLite
     `ALTER TABLE` does not directly support, such as changing the type of a
     column
   - Extract columns into separate tables to better normalize your existing data

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-hypothesis,
 python3-pytest,
 @,

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~~/;s/([0-9])((?:[ab]|rc)[0-9]*)/$1~$2/g \
  https://github.com/simonw/sqlite-utils/tags .*/v?([0-9.]\S+)\.tar\.gz

## sqlite-utils 4.0~a0

=== debian/changelog ===
sqlite-utils (4.0~a0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New Upstream Release
  * debian/patches: Add 'Forwarded: not-needed' header to privacy-breach
    patch to fix lintian warning.
  * debian/control: Bump Standards-Version to 4.7.2. 

 -- JoseFilipi <filipiffunb@gmail.com>  Tue, 08 Jul 2025 16:13:24 -0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-sqlite-fts4 <!nocheck>,
  python3-tabulate <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/simonw/sqlite-utils
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlite-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlite-utils.git
